---
title: MySqlConnectorFactory
---

# MySqlConnectorFactory class

An implementation of DbProviderFactory that creates MySqlConnector objects.

```csharp
public sealed class MySqlConnectorFactory : DbProviderFactory
```

## Public Members

| name | description |
| --- | --- |
| static readonly [Instance](../MySqlConnectorFactory/Instance/) | Provides an instance of DbProviderFactory that can create MySqlConnector objects. |
| [CanCreateBatch](../MySqlConnectorFactory/CanCreateBatch/) { get; } | Returns `true`. |
| override [CanCreateCommandBuilder](../MySqlConnectorFactory/CanCreateCommandBuilder/) { get; } | Returns `true`. |
| override [CanCreateDataAdapter](../MySqlConnectorFactory/CanCreateDataAdapter/) { get; } | Returns `true`. |
| override [CanCreateDataSourceEnumerator](../MySqlConnectorFactory/CanCreateDataSourceEnumerator/) { get; } | Returns `false`. |
| [CreateBatch](../MySqlConnectorFactory/CreateBatch/)() | Creates a new [`MySqlBatch`](../MySqlBatchType/) object. |
| [CreateBatchCommand](../MySqlConnectorFactory/CreateBatchCommand/)() | Creates a new [`MySqlBatchCommand`](../MySqlBatchCommandType/) object. |
| override [CreateCommand](../MySqlConnectorFactory/CreateCommand/)() | Creates a new [`MySqlCommand`](../MySqlCommandType/) object. |
| override [CreateCommandBuilder](../MySqlConnectorFactory/CreateCommandBuilder/)() | Creates a new [`MySqlCommandBuilder`](../MySqlCommandBuilderType/) object. |
| override [CreateConnection](../MySqlConnectorFactory/CreateConnection/)() | Creates a new [`MySqlConnection`](../MySqlConnectionType/) object. |
| override [CreateConnectionStringBuilder](../MySqlConnectorFactory/CreateConnectionStringBuilder/)() | Creates a new [`MySqlConnectionStringBuilder`](../MySqlConnectionStringBuilderType/) object. |
| override [CreateDataAdapter](../MySqlConnectorFactory/CreateDataAdapter/)() | Creates a new [`MySqlDataAdapter`](../MySqlDataAdapterType/) object. |
| override [CreateParameter](../MySqlConnectorFactory/CreateParameter/)() | Creates a new [`MySqlParameter`](../MySqlParameterType/) object. |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
